package com.ylx.massage.domain;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 地址(TAddress)表实体类
 *
 * @author makejava
 * @since 2024-04-11 17:18:53
 */
@SuppressWarnings("serial")
@ApiModel(value = "TAddress", description = "地址管理")
@Data
public class TAddress extends Model<TAddress> {
    //主键
    @ApiModelProperty("主键")
    private String id;

    /**
     * 用户openId
     */
    @ApiModelProperty("用户openId")
    private String openid;
    //电话
    @ApiModelProperty("电话")
    private String phone;

    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    private String userName;
    //地图展示地址
    @ApiModelProperty("地图展示地址")
    private String atlasAdd;
    //经度
    @ApiModelProperty("经度")
    private Double longitude;
    //纬度
    @ApiModelProperty("纬度")
    private Double latitude;
    //详细地址
    @ApiModelProperty("详细地址")
    private String address;

    @ApiModelProperty("地址name")
    private String name;

    /**
     * 用户类型 1：用户 2：技师
     */
    @ApiModelProperty("用户类型 1：用户 2：技师")
    private Integer userType;

    /**
     * 地址类型 0:普通地址 1：默认地址 2：虚拟地址
     */
    @ApiModelProperty("地址类型 0:普通地址 1：默认地址 2：虚拟地址")
    private Integer type;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createTime;


    /**
     * 修改时间
     */
    @ApiModelProperty("修改时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;
    //是否删除0否1是
    @ApiModelProperty("是否删除0否1是")
    @TableLogic
    private Integer isDelete;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getAtlasAdd() {
        return atlasAdd;
    }

    public void setAtlasAdd(String atlasAdd) {
        this.atlasAdd = atlasAdd;
    }

    public Double getLongitude() {
        return longitude;
    }

    public void setLongitude(Double longitude) {
        this.longitude = longitude;
    }

    public Double getLatitude() {
        return latitude;
    }

    public void setLatitude(Double latitude) {
        this.latitude = latitude;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 获取主键值
     *
     * @return 主键值
     */
    @Override
    public  Serializable pkVal() {
        return this.id;
    }
}

